Get agent version
GET
The configuration one version stored. Documents and tools carry the names they had then; a document deleted since is marked deleted.
Access: workspace_viewer · API key agents:read
api-keyheader
AuthorizationBearer <sk_waylo_<lookup><secret><checksum>>id*stringversion*numberSuccess
application/json- response
version*numberrestoredFrom*number|nullcreatedAt*stringFormat
date-timecreatedByUserId*|Format
uuidcreatedByUserName*string|nullconfig*curl -X GET 'https://api.poc.app.waylovoice.ai/agents/string/versions/0' \ -H 'Authorization: Bearer sk_waylo_...'Example Response
{ "version": 0, "restoredFrom": 0, "createdAt": "2019-08-24T14:15:22Z", "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "createdByUserName": "string", "config": { "name": "string", "greeting": "string", "systemPrompt": "string", "language": "string", "sttProvider": "string", "sttModel": "string", "sttOptions": { "property1": "string", "property2": "string" }, "llmProvider": "string", "llmModel": "string", "llmOptions": { "property1": "string", "property2": "string" }, "ttsProvider": "string", "ttsModel": "string", "ttsVoiceId": "string", "ttsOptions": { "property1": "string", "property2": "string" }, "runtimeConfig": { "endpointing": { "mode": "fixed", "minDelayMs": 300, "maxDelayMs": 1000, "alpha": 0.9 }, "vad": { "activationThreshold": 0.5, "minSpeechDurationMs": 50, "minSilenceDurationMs": 550 }, "backgroundAudio": { "sound": "off", "volume": 0.1, "delaySeconds": 0 }, "thinkingSound": { "enabled": false, "delaySeconds": 1.5, "volume": 0.3 }, "silenceTimeoutMs": 15000, "silenceRetryAttempts": 3 }, "catalogId": "string", "presetId": "string", "toolFeedbackOverrides": { "property1": { "ack": [ "string" ], "filler": [ "string" ] }, "property2": { "ack": [ "string" ], "filler": [ "string" ] } }, "spokenReply": true, "spokenReplyPrompt": "string", "tools": [ { "id": "string", "name": "string", "type": "api_request" } ], "destinations": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } ], "documents": [ { "id": "string", "name": "string", "deleted": true } ] }}